game_level_hints.levels["Level00_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level00_scene00_01 =
			{
				on_scene("level00_scene00_02", end_level("area_scene00_01"))
			},
			level00_scene00_02 =
			{
				on_scene("level00_scene00_01", end_level("area_scene00_02")),
				on_scene("level00_miniscene_refrigerator", end_level("exit_mini01"))
			},
			level00_miniscene_refrigerator =
			{
				on_scene("level00_scene00_02", miniscene("refrigerator01")),
				on_scene("level00_scene00_02", miniscene("refrigerator_door02_01")),
				on_scene("level00_scene00_02", miniscene("refrigerator_door02_02")),
				IF(state("Refrigerator_door01","refrigerator_door01_01"), on_scene("level00_scene00_02", miniscene("Refrigerator_door01")))
			}
		}),
		
		on_scene("level00_scene00_01",
		{
			take("Key01"),
			click("Table_box01", "Key01"),
			IF({ on_level("Disk01"), state("Table_box01", "table_box01_02") }, minigame("Table_box01")),
			click("System_block01", "Disk01")			
		}),
		on_scene("level00_miniscene_refrigerator",
		{
			IF({ state("Mini_refrigerator_door01","mini_refrigerator_door01_01"), on_level("Mini_egg") }, click("Mini_refrigerator_door01")),
			take("Mini_egg"),
			IF({ state("Mini_refrigerator_door01","mini_refrigerator_door01_01"), on_level("Mini_sausage01") }, click("Mini_refrigerator_door01")),
			take("Mini_sausage01")			
		}),
		on_scene("level00_scene00_02",
		{
			click("Frying_pan01", "Mini_egg"),
			take("Knife"),			
			click("Frying_pan01", "Sausage_cut"),
			IF({ state("Cupboard_door02", "cupboard_door02_01"), on_level("Plate") }, click("Cupboard_door02")),
			take("Plate", "Plate01"),
			take("Trowel", "trowel01"),
			click("Frying_pan01", "Trowel"),
		}),
		on_scene("level00_scene00_01",
		{
			IF(state("Lohmatyi01","lohmatyi02_01"), click("Lohmatyi01", "Plate_with_food")),
		}),
		on_scene("level00_miniscene_refrigerator",
		{
			IF({ state("Mini_refrigerator_door01","mini_refrigerator_door01_01"), on_level("Mini_milk01") }, click("Mini_refrigerator_door01")),
			take("Mini_milk01")
		}),
		on_scene("level00_scene00_02",
		{
			click("Bowl01", "Mini_milk01")
		}),
		on_scene("level00_scene00_01",
		{
			click("Telephone01")
		})
	}
end 